吵吵   2012-11-19  阅读:4,015

最近科里面买了台IBM m4的服务器,供应商说该服务器安装windows server 2003会出现各种问题,并且他有问过IBM公司说该版本的已经不支持2003了,没办法就给他装了windows server 2008 r2。

2008除了鸟人的服务器密码需要复杂到数字机、字母加字符这种变态的程度外,安装还是挺顺利。再加之IBM可以从光盘启动,有图形界面的初始化程序,可以轻易的解决磁盘阵列这些东西,很快就搞定了。

万万没有想到的是安装 sql sever 2008的时候却遇到了很棘手的问题,折腾了个把星期才好了。

一开始花了我3G多的流量从网上下载了一个sql server 2008,安装的时候就提示缺少 net framework 3.5sp1:

sqlserver

无奈从网上下载了一个net framework3.5,结果又不让安装,提示:必须使用“角色管理工具”安装或者配置Mcrosoft .NET Framework3.5。

网上查了半天,然后从服务器管理中进入把 NET Framework 3.5.1给装上了,原来它自带的,白下了。

之后再装sql server 2008,竟然还是提示没有net framework 3.5sp1。

网上溜达了一圈,尝试了各种方法都基本不靠谱,尤其是那个说什么先打windows server 2008 r2 sp1补丁,再敲几个命令行的更不靠谱。

我下了sp1的补丁才知道我的服务器本来就有sp1补丁的,至于那几个命令行就一个都运行不了。

无奈之下想去装net framework 4.0 发现也装不上。

最后只好找了公司的工程师过来,工程师提早去下了一个sql server 2008 然后跑过来一装,矮油!可以哦!

一看他的版本 sql server 2008 r2 sp1,再回头看看我下的版本 sql server 2008,修改日期,还是2008年的,感情我装的是最老的那个sql server 2008啊。

啊 崩溃!

吵吵微信朋友圈,请付款实名加入:

吵吵 吵吵

发表评论

电子邮件地址不会被公开。 必填项已用*标注